program weighing;
{$APPTYPE CONSOLE}
Var
n,j,t,i: longint;
begin
assign(input,'weighing.in ');
reset(input);
readln(t);
for i:=1 to t  do
begin
readln(n );
if n>=2 then
begin
j:= n div 2;
writeln(j);
end;
end;
end.
